{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "ICI",
    "rFr",
    "igi"
  ],
  "key": {
    "I": {
      "item": "minecraft:repeater"
    },
    "C": {
      "item": "minecraft:comparator"
    },
    "g": {
      "item" :"rftoolsbase:infused_diamond"
    },
    "r": {
      "item": "minecraft:redstone"
    },
    "F": {
      "item": "rftoolsbase:machine_frame"
    },
    "i": {
      "tag": "forge:ingots/iron"
    }
  },
  "result": {
    "item": "xnet:controller"
  }
}